---
title: "Add Channel Owner"
slug: "add-channel-owner"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Channel Owner

Post/api/v1/channels.addOwner

Assign the `owner` role to a channel member. See [Room Roles](https://docs.rocket.chat/docs/room-roles) for details about the roles.

Permission required: `set-owner`

### Changelog

| Version | Description |
| --- | --- |
| 0.49.4 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='bbdac00b-7c21-4c9d-b8d3-16aefd06da1e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='41b61a63-f369-4c2a-915f-e89fbe7d6bb2'>Example</option>
</select>Example

```json
{
  "roomId": "WDuJLFkjwk6L7LdFC",
  "userId": "b66oZ8i9pkeSko33v"
}
```

object  roomIdstring    Required

The channel ID.

userIdstring    Required

The user ID that you want to set as the channel owner.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='5ea697ef-1f3f-4bde-8c38-403debbd52c9'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='6e2a3d77-9275-4b3a-967b-ca54f642641b'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='5a7ecb95-c74d-48ae-bb80-b2f61868eab2'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='256f8f9a-762c-4090-ad06-86d9c558845b'>User is alrready an owner</option>
</select>User is alrready an owner

```json
{
  "success": false,
  "error": "User is already an owner [error-user-already-owner]",
  "errorType": "error-user-already-owner",
  "details": {
    "method": "addRoomOwner"
  }
}
```

Expand Allobject  successboolean    
errorstring    
errorTypestring    
detailsobject  methodstring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='4c9fcaca-825b-460d-a9c9-e0c1dd086483'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='988140c9-32fc-498e-a1e1-8ad8e0494813'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
